Package oracle.jdbc

## Class SwitchableBugFix

- java.lang.Object
- - oracle.jdbc.SwitchableBugFix

    public class SwitchableBugFix
    extends java.lang.Object

A manager class that embeds the BugNumber enum and processes the value passed to the `oracle.jdbc.disabledBugFixes` system property.

See Also:
  `OracleConnection.CONNECTION_PROPERTY_DISABLED_BUG_FIXES`

### Nested Class Summary

Nested Classes
`static class` `SwitchableBugFix.BugNumber` Enumeration of bug numbers that can be used in `OracleConnection.CONNECTION_PROPERTY_DISABLED_BUG_FIXES` system property.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isDisabled​(SwitchableBugFix.BugNumber bug)` Check if the bug fix is disabled, meaning that the bug number is mentioned in the `OracleConnection.CONNECTION_PROPERTY_DISABLED_BUG_FIXES` system property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isDisabled

    public static boolean isDisabled​(SwitchableBugFix.BugNumber bug)

Check if the bug fix is disabled, meaning that the bug number is mentioned in the `OracleConnection.CONNECTION_PROPERTY_DISABLED_BUG_FIXES` system property.

Returns:
  `true` if the bug fix is disabled, `false` otherwise.